Skip to main content
GET
/
api
/
ContactNote
/
{noteId}
Get a Note
curl --request GET \
  --url https://api.virtuoussoftware.com/api/ContactNote/{noteId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "contactId": "<integer>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "noteDate": "<string>",
  "type": "<string>",
  "note": "<string>",
  "important": "<boolean>",
  "isPrivate": "<boolean>",
  "createdByAvatarUrl": "<string>",
  "reminder": {
    "id": "<integer>",
    "message": "<string>",
    "targetDate": "<string>",
    "targetResolutionDateUtc": "<dateTime>",
    "contactId": "<integer>",
    "contactViewUrl": "<string>",
    "contactDisplayName": "<string>",
    "contactAvatarUrl": "<string>",
    "reminderType": "<string>",
    "reminderTypeDisplayName": "<string>",
    "taskStatus": "<string>",
    "taskStatusDisplayName": "<string>",
    "completeUrl": "<string>",
    "dismissUrl": "<string>",
    "description": "<string>",
    "hasContact": "<boolean>",
    "isPastDue": "<boolean>",
    "isUnresolved": "<boolean>",
    "canComplete": "<boolean>",
    "completeActionName": "<string>",
    "canCompleteWithNote": "<boolean>",
    "owner": "<string>",
    "ownerAvatarUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

noteId
string
required

(Required) The note identifier.

Response

OK

id
string
contactId
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
noteDate
string
type
string
note
string
important
string
isPrivate
string
createdByAvatarUrl
string
reminder
object
Last modified on June 5, 2026